// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface UnitOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.Unit)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * (default='') Unit multiplier.
   * </pre>
   *
   * <code>.commonmodule.Optional_UnitMultiplierKind multiplier = 1;</code>
   * @return Whether the multiplier field is set.
   */
  boolean hasMultiplier();
  /**
   * <pre>
   * (default='') Unit multiplier.
   * </pre>
   *
   * <code>.commonmodule.Optional_UnitMultiplierKind multiplier = 1;</code>
   * @return The multiplier.
   */
  openfmb.commonmodule.Optional_UnitMultiplierKind getMultiplier();
  /**
   * <pre>
   * (default='') Unit multiplier.
   * </pre>
   *
   * <code>.commonmodule.Optional_UnitMultiplierKind multiplier = 1;</code>
   */
  openfmb.commonmodule.Optional_UnitMultiplierKindOrBuilder getMultiplierOrBuilder();

  /**
   * <pre>
   * SI unit of measure.
   * </pre>
   *
   * <code>.commonmodule.UnitSymbolKind SIUnit = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The enum numeric value on the wire for sIUnit.
   */
  int getSIUnitValue();
  /**
   * <pre>
   * SI unit of measure.
   * </pre>
   *
   * <code>.commonmodule.UnitSymbolKind SIUnit = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The sIUnit.
   */
  openfmb.commonmodule.UnitSymbolKind getSIUnit();
}
